System.register(["src/components/halo/lively-halo-item.js"], function (_export, _context) {
  "use strict";

  var HaloItem;
  return {
    setters: [function (_srcComponentsHaloLivelyHaloItemJs) {
      HaloItem = _srcComponentsHaloLivelyHaloItemJs.default;
    }],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_components_halo_lively_halo_edit_item_js = _recorder_._src_components_halo_lively_halo_edit_item_js || {};
      Object.defineProperty(_recorder_._src_components_halo_lively_halo_edit_item_js, "HaloItem", {
        get() {
          return HaloItem;
        },

        set(thisIsVererySecretVariableName) {
          HaloItem = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      class HalloEditItem extends HaloItem {

        onClick() {
          lively.notify("toggle edit");
          if (this.target.getAttribute("contenteditable") == "true") {
            this.target.setAttribute("contenteditable", null);
          } else {
            this.target.setAttribute("contenteditable", true);
          }

          this.updateTarget(this.target);
        }

        updateTarget(target) {
          this.target = target;
          if (target.getAttribute("contenteditable") == "true") {
            this.get("#label").classList.remove("disabled");
          } else {
            this.get("#label").classList.add("disabled");
          }
        }
      }

      _export("default", HalloEditItem);

      Object.defineProperty(_recorder_._src_components_halo_lively_halo_edit_item_js, "HalloEditItem", {
        get() {
          return HalloEditItem;
        },

        set(thisIsVererySecretVariableName) {
          _export("default", HalloEditItem = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
    }
  };
});